Package docking.framework

# Class ApplicationInformationDisplayFactory

java.lang.Object
docking.framework.ApplicationInformationDisplayFactory

Direct Known Subclasses:
  `GhidraApplicationInformationDisplayFactory`, `SettableApplicationInformationDisplayFactory`

public class ApplicationInformationDisplayFactory extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ApplicationInformationDisplayFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static JComponent`
  `createAboutComponent()`
  `static String`
  `createAboutTitle()`
  `static HelpLocation`
  `createHelpLocation()`
  `static JComponent`
  `createSplashScreenComponent()`
  `static String`
  `createSplashScreenTitle()`
  `protected JComponent`
  `doCreateAboutComponent()`
  `protected String`
  `doCreateAboutTitle()`
  `protected HelpLocation`
  `doCreateHelpLocation()`
  `protected JComponent`
  `doCreateSplashScreenComponent()`
  `protected String`
  `doCreateSplashScreenTitle()`
  `protected Runnable`
  `doGetHomeCallback()`
  `protected Icon`
  `doGetHomeIcon()`
  `protected List<Image>`
  `doGetWindowIcons()`
  `static Runnable`
  `getHomeCallback()`
  `static Icon`
  `getHomeIcon()`
  `static Image`
  `getLargestWindowIcon()`
  `protected Icon`
  `getSplashScreenIcon128()`
  `static List<Image>`
  `getWindowIcons()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ApplicationInformationDisplayFactory

    public ApplicationInformationDisplayFactory()

- ## Method Details

  - ### createSplashScreenTitle

    public static String createSplashScreenTitle()

  - ### createAboutTitle

    public static String createAboutTitle()

  - ### getWindowIcons

    public static List<Image> getWindowIcons()

  - ### getLargestWindowIcon

    public static Image getLargestWindowIcon()

  - ### getHomeIcon

    public static Icon getHomeIcon()

  - ### getHomeCallback

    public static Runnable getHomeCallback()

  - ### createSplashScreenComponent

    public static JComponent createSplashScreenComponent()

  - ### createAboutComponent

    public static JComponent createAboutComponent()

  - ### createHelpLocation

    public static HelpLocation createHelpLocation()

  - ### doCreateSplashScreenTitle

    protected String doCreateSplashScreenTitle()

  - ### doCreateAboutTitle

    protected String doCreateAboutTitle()

  - ### doCreateSplashScreenComponent

    protected JComponent doCreateSplashScreenComponent()

  - ### getSplashScreenIcon128

    protected Icon getSplashScreenIcon128()

  - ### doGetWindowIcons

    protected List<Image> doGetWindowIcons()

  - ### doCreateAboutComponent

    protected JComponent doCreateAboutComponent()

  - ### doCreateHelpLocation

    protected HelpLocation doCreateHelpLocation()

  - ### doGetHomeIcon

    protected Icon doGetHomeIcon()

  - ### doGetHomeCallback

    protected Runnable doGetHomeCallback()